package com.bocloud.ims.service.thread;

import com.bocloud.cmp.vm.model.VmGenericParam;
import com.bocloud.common.model.RequestContext;

public class CloudServerParam {

    private String type;
    private VmGenericParam param;
    private RequestContext context;

    public CloudServerParam(String type, VmGenericParam param, RequestContext context) {
        super();
        this.type = type;
        this.param = param;
        this.context = context;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public VmGenericParam getParam() {
        return param;
    }

    public void setParam(VmGenericParam param) {
        this.param = param;
    }

    public RequestContext getContext() {
        return context;
    }

    public void setContext(RequestContext context) {
        this.context = context;
    }

}
